/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\items\Special Crafted Weapons\Bowcraft\FlameStringBow.cs
Lines of code: 40
***********************************************************/


using System;
using Server.Network;
using Server.Items;

namespace Server.Items
{
	[FlipableAttribute( 0x2D24, 0x2D30 )]
	public class FlameStringBow : CompositeBow
	{
		public override int InitMinHits{ get{ return 255; } }
		public override int InitMaxHits{ get{ return 255; } }

		[Constructable]
		public FlameStringBow()
		{
			Name = "Flamestring Bow";
			Hue = 1161;
			WeaponAttributes.HitFireball = 15;
			WeaponAttributes.HitMagicArrow = 15;
			Attributes.SpellChanneling = 1;
			
			AosElementDamages.Physical=0;
			AosElementDamages.Fire=100;
			AosElementDamages.Cold=0;
			AosElementDamages.Poison=0;
			AosElementDamages.Energy=0;
			AosElementDamages.Chaos=0;			
		}


		public FlameStringBow( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.WriteEncodedInt( 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadEncodedInt();
		}
	}
}